Summary:  Qt bindings for PolicyKit
Name:     polkit-qt-1
Version:  0.175.0
Release:  1%{?dist}
License:  BSD-3-Clause AND GPL-2.0-or-later AND LGPL-2.0-or-later
URL:      https://api.kde.org/kdesupport-api/polkit-qt-1-apidocs/
Source0:  https://download.kde.org/unstable/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  cmake, gcc-c++
BuildRequires:  polkit-devel
BuildRequires:  qt5-qtbase-devel



%description
Polkit-qt is a library that lets developers use the PolicyKit API
through a nice Qt-styled API.

%package -n polkit-qt5-1
Summary: PolicyKit Qt5 bindings
Provides:  polkit-qt5 = %{version}-%{release}

%description -n polkit-qt5-1
Polkit-qt is a library that lets developers use the PolicyKit API
through a nice Qt-styled API.

%package -n polkit-qt5-1-devel
Summary: Development files for PolicyKit Qt5 bindings
Provides: polkit-qt5-devel = %{version}-%{release}
Requires: polkit-qt5-1 = %{version}-%{release}

%description -n polkit-qt5-1-devel
%{summary}.



%prep
%autosetup -n %{name}-%{version} -p1



%build
%cmake -DBUILD_EXAMPLES:BOOL=OFF -DQT_MAJOR_VERSION=5
%cmake_build



%install
%cmake_install



%files -n polkit-qt5-1
%license LICENSES/*
%doc AUTHORS README
%{_libdir}/libpolkit-qt5-core-1.so.1*
%{_libdir}/libpolkit-qt5-gui-1.so.1*
%{_libdir}/libpolkit-qt5-agent-1.so.1*

%files -n polkit-qt5-1-devel
%{_includedir}/polkit-qt5-1/
%{_libdir}/libpolkit-qt5-core-1.so
%{_libdir}/libpolkit-qt5-gui-1.so
%{_libdir}/libpolkit-qt5-agent-1.so
%{_libdir}/pkgconfig/polkit-qt5-1.pc
%{_libdir}/pkgconfig/polkit-qt5-core-1.pc
%{_libdir}/pkgconfig/polkit-qt5-gui-1.pc
%{_libdir}/pkgconfig/polkit-qt5-agent-1.pc
%{_libdir}/cmake/PolkitQt5-1/



%changelog
* Wed Nov 15 2023 Zhao Zhen <jeremiazhao@tencent.com> - 0.175.0-1
- initial
